<!DOCTYPE html>
<html lang="de">
  <head>
    <% include head %>
    <script src="socket.io-client/dist/socket.io.js"></script>
  	<script src="js/Uebersicht.js"></script>
    <title>Paketbox-Übersicht</title>
  </head>

  <body>
	<div class="container">
    <div class="page-header">
      <div class=" panel panel-primary">
        <div class="panel-heading"><h1><strong>Übersicht</strong></h1></div>
      </div>
    </div>
      <div class="row">
        <div class="col-md-1">
			<div class="page-header">
        		<h3>Menü</h3>
      		</div>
			<ul class="nav nav-pills">
  			<li role="presentation" class="active"><a href="Uebersicht.ejs"><strong>Übersicht</strong></a></li>
  			<li role="presentation"><a href="Pakete.ejs"><strong>Pakete</strong></a></li>
			<li role="presentation"><a href="Bedienung.ejs"><strong>Bedienung</strong></a></li>
			<li role="presentation"><a href="Einstellungen.ejs"><strong>Einstellungen</strong></a></li>
      <li role="presentation"><a href="/Logout.ejs"><strong>Logout</strong></a></li>
			</ul>
		</div>
		<div class="col-md-offset-2">
			<div class="page-header">
				<h2>Aktueller Status:</h2>
				<span id="activeState" class="label label-success">Paketbox bereit</span>
			</div>

			<div class="page-header">
				<h2>Letzten fünf Lieferungen:</h2>
				<table class="table table-striped">
				  <thead>
					<tr>
					  <th>Paket</th>
					  <th>Lieferant</th>
					  <th>Inhalt</th>
            <th>Status</th>
					</tr>
				  </thead>
				  <tbody>
					       <% packets.forEach(function(packet) { %>
                   <tr>
                     <td><%= packet.number %></td>
                     <td><%= packet.supplier %></td>
                     <td><%= packet.content %></td>
                     <td><%= packet.status %></td>
                  </tr>
                 <% }); %>
				  </tbody>
				</table>
			</div>
      	</div>
	  </div>
	  <div class="row">
	  	<div class="col-md-2">
	  		<div class="page-header">
			  	<h3>Datum:</h3>
			  	<strong id="datum"></strong>
		  	</div>
		  </div>
		 <div class="col-md-2">
		 	<div class="page-header">
				<h3>Softwareversion:</h3>
				<strong>Version 1.0.0</strong>
			</div>
		 </div>
		 <div class="col-md-2">
		  	<div class="page-header">
			<h3>Teamname</h3>
			<strong>PACtec</strong>
	  	 </div>
	  	</div>
	  </div>
    </div> <!-- /container -->


  <% include footer %>

  </body>
</html>
